package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsDivideCircle;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * v2.0分圈登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-22
 */
public interface IJsDivideCircleService extends IService<JsDivideCircle> {

    AjaxResult add(JsDivideCircle divideCircle);

    AjaxResult edit(JsDivideCircle divideCircle);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String pigpenName);

    AjaxResult listAll(String startTime);

    List<JsDivideCircle> review();

    AjaxResult listSeriesNo();
}
